#
# spec file for package python-gd
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Summary: Python bindings for GD
Name:    python-gd
Version: 0.56
Release: 4.2
License: GPL
Group:   Development/Libraries/Python
URL:     http://newcenturycomputers.net/projects/gdmodule.html
Source:  gdmodule-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: python-devel gd-devel xorg-x11-devel freetype2-devel libjpeg-devel libpng-devel zlib-devel
%py_requires

%description

	The GDmodule is an interface to the GD library written by Thomas Boutell.

%prep

%setup -n gdmodule-%{version}

sed -i -e s@/lib@/%{_lib}@g Setup.py

%build

%install
export CFLAGS="%{optflags}"
%{__python} Setup.py install \
	--root="%{buildroot}" \
	--prefix="%{_prefix}" \
    --record-rpm=INSTALLED_FILES


%clean

%{__rm} -rf %{buildroot}

%files

%defattr(-, root, root, 0755)
%{py_sitedir}*
%doc README

%changelog
* Mon May 31 2010 toms@suse.de
- Fixed Group: Development/Libraries/Python to make it consistent
  with other Python packages
- Added .changes file
